routes/web.php
<?php
use App\Buku;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('layout.index');
 });

 Auth::routes();
//CRUD Users
Route::resource('user', 'UserController');


//CRUD Anggota
Route::resource('anggota', 'AnggotaController');
Auth::routes();

<<<<<<< HEAD
Route::resource('buku', 'BukuController');

Route::resource('transaksi', 'TransaksiController');
=======
//CRUD Buku
Route::resource('buku', 'BukuController');
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/data-tablebuku', function(){
    $data = buku::all();
    return view('table.data-tablebuku', compact('data'));
});

app/Buku.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Buku extends Model
{
    protected $table = 'buku';
<<<<<<< HEAD
    protected $fillable = ['judul', 'isbn', 'penerbit', 'pengarang', 'tahun_terbit', 'jumlah_buku', 'lokasi', 'deskripsi', 'cover'];
=======
    protected $fillable = ['judul','pengarang','penerbit','tahun_terbit','jumlah_buku','deskripsi','lokasi'];

>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
}

app/Http/Controllers/BukuController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
<<<<<<< HEAD
use App\User;
use App\Buku;
use Auth;
use DB;
=======

use DB;
use App\Buku;
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a

class BukuController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
<<<<<<< HEAD
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {

        $datas = Buku::get();
        return view('buku.index', compact('datas'));
=======
    public function index()
    {
        $buku = Buku::all();
        return view('buku.index', compact('buku'));
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
<<<<<<< HEAD
        $datas = DB::table('buku')->get();
        return view('buku.create', compact('datas'));
    }

    public function format()
    {
        $data = [['judul' => null, 'isbn' => null, 'pengarang' => null, 'penerbit' => null, 'tahun_terbit' => null, 'jumlah_buku' => null, 'deskripsi' => null, 'lokasi' => 'rak1/rak2/rak3']];
            $fileName = 'format-buku';
            

        $export = Excel::create($fileName.date('Y-m-d_H-i-s'), function($excel) use($data){
            $excel->sheet('buku', function($sheet) use($data) {
                $sheet->fromArray($data);
            });
        });

        return $export->download('xlsx');
    }

    public function import(Request $request)
    {
        $this->validate($request, [
            'importBuku' => 'required'
        ]);

        if ($request->hasFile('importBuku')) {
            $path = $request->file('importBuku')->getRealPath();

            $data = Excel::load($path, function($reader){})->get();
            $a = collect($data);

            if (!empty($a) && $a->count()) {
                foreach ($a as $key => $value) {
                    $insert[] = [
                            'judul' => $value->judul, 
                            'isbn' => $value->isbn, 
                            'pengarang' => $value->pengarang, 
                            'penerbit' => $value->penerbit,
                            'tahun_terbit' => $value->tahun_terbit, 
                            'jumlah_buku' => $value->jumlah_buku, 
                            'deskripsi' => $value->deskripsi, 
                            'lokasi' => $value->lokasi,
                            'cover' => NULL];

                    Buku::create($insert[$key]);
                        
                    }
                  
            };
        }
        alert()->success('Berhasil.','Data telah diimport!');
        return back();
=======
        $users = DB::table('buku')->get();
        return view('buku.create', compact('users'));
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
<<<<<<< HEAD
        $this->validate($request, [
            'judul' => 'required|string|max:255',
            'isbn' => 'required|string'
        ]);

    //    if($request->file('cover')) {
      //      $file = $request->file('cover');
         //   $dt = Carbon::now();
          //  $acak  = $file->getClientOriginalExtension();
          //  $fileName = rand(11111,99999).'-'.$dt->format('Y-m-d-H-i-s').'.'.$acak; 
          $gambarName = time().'.'.$request->cover->extension();  
        
          $request->cover->move(public_path('images_buku'), $gambarName);
  
  //      } else {
    //        $gambarName = NULL;
      //  }

        Buku::create([
                'judul' => $request->get('judul'),
                'isbn' => $request->get('isbn'),
                'pengarang' => $request->get('pengarang'),
                'penerbit' => $request->get('penerbit'),
                'tahun_terbit' => $request->get('tahun_terbit'),
                'jumlah_buku' => $request->get('jumlah_buku'),
                'deskripsi' => $request->get('deskripsi'),
                'lokasi' => $request->get('lokasi'),
                'cover' => $gambarName
            ]);

        //alert()->success('Berhasil.','Data telah ditambahkan!');

        return redirect()->route('buku.index');

=======
        $request->validate([
            'judul' => 'required',
            'pengarang' => 'required',
            'penerbit' => 'required',
            'tahun_terbit' => 'required',
            'jumlah_buku' => 'required',
            'deskripsi' => 'required',
        ]);

        $buku->judul = $request->judul;
		$buku->pengarang = $request->pengarang;
		$buku->penerbit = $request->penerbit;
		$buku->tahun_terbit = $request->tahun_terbit;
		$buku->jumlah_buku = $request->jumlah_buku;
		$buku->deskripsi = $request->deskripsi;

		$buku->save();
        
        return redirect('/buku');
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
<<<<<<< HEAD

        $data = Buku::findOrFail($id);

        return view('buku.show', compact('data'));
=======
        $buku = Buku::findOrFail($id);  
        
        return view('buku.show', compact('buku'));
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
<<<<<<< HEAD
    {   

        $data = Buku::findOrFail($id);
        return view('buku.edit', compact('data'));
=======
    {
        //
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
<<<<<<< HEAD
        $request->validate([
            'judul' =>'required',
            'isbn' =>'required',
            'pengarang' =>'required',
            'penerbit' =>'required',
            'tahun_terbit' =>'required',
            'jumlah_buku' =>'required',
            'deskripsi' =>'required',
            'lokasi' =>'required',
            'cover' =>'image|mimes:jpg,png,jpeg|max:2048',]);

        $datas = Buku::find($id);

        if($request->has('cover')){


            $posterName = time().'.'.$request->cover->extension();  
            $request->cover->move(public_path('images_buku'), $posterName);
    
            $datas->judul = $request->judul;
            $datas->isbn = $request->isbn;
            $datas->pengarang = $request->pengarang;
            $datas->penerbit = $request->penerbit;
            $datas->tahun_terbit = $request->tahun_terbit;
            $datas->jumlah_buku = $request->jumlah_buku;
            $datas->deskripsi = $request->deskripsi;
            $datas->lokasi = $request->lokasi;
            $datas->cover = $posterName;

            $datas->update();

             return redirect('/film');

        } else {
            $datas = Buku::find($id);
            $datas->judul = $request->judul;
            $datas->isbn = $request->isbn;
            $datas->pengarang = $request->pengarang;
            $datas->penerbit = $request->penerbit;
            $datas->tahun_terbit = $request->tahun_terbit;
            $datas->jumlah_buku = $request->jumlah_buku;
            $datas->deskripsi = $request->deskripsi;
            $datas->lokasi = $request->lokasi;

            $datas->update();

             return redirect('/buku');
        }
=======
        //
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
<<<<<<< HEAD
        Buku::find($id)->delete();
       // alert()->success('Berhasil.','Data telah dihapus!');
        return redirect()->route('buku.index');
=======
        //
>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
    }
}

resources/views/buku/create.blade.php
@extends('layout.master')
@section('judul')
<<<<<<< HEAD
Data Buku
@endsection

@section('content')
<form method="POST" action="{{ route('buku.store') }}" enctype="multipart/form-data">
    {{ csrf_field() }}
<div class="row">
            <div class="col-md-12 d-flex align-items-stretch grid-margin">
              <div class="row flex-grow">
                <div class="col-12">
                  <div class="card">
                    <div class="card-body">
                      <h4 class="card-title">Tambah Buku baru</h4>
                      
                        <div class="form-group{{ $errors->has('judul') ? ' has-error' : '' }}">
                            <label for="judul" class="col-md-4 control-label">Judul</label>
                            <div class="col-md-12">
                                <input id="judul" type="text" class="form-control" name="judul" value="{{ old('judul') }}" required>
                                @if ($errors->has('judul'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('judul') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('npm') ? ' has-error' : '' }}">
                            <label for="isbn" class="col-md-4 control-label">ISBN</label>
                            <div class="col-md-12">
                                <input id="isbn" type="text" class="form-control" name="isbn" value="{{ old('isbn') }}" required>
                                @if ($errors->has('isbn'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('isbn') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('pengarang') ? ' has-error' : '' }}">
                            <label for="pengarang" class="col-md-4 control-label">Pengarang</label>
                            <div class="col-md-12">
                                <input id="pengarang" type="text" class="form-control" name="pengarang" value="{{ old('pengarang') }}" required>
                                @if ($errors->has('pengarang'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('pengarang') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('penerbit') ? ' has-error' : '' }}">
                            <label for="penerbit" class="col-md-4 control-label">Penerbit</label>
                            <div class="col-md-12">
                                <input id="penerbit" type="text" class="form-control" name="penerbit" value="{{ old('penerbit') }}" required>
                                @if ($errors->has('penerbit'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('penerbit') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('tahun_terbit') ? ' has-error' : '' }}">
                            <label for="tahun_terbit" class="col-md-4 control-label">Tahun Terbit</label>
                            <div class="col-md-12">
                                <input id="tahun_terbit" type="number" maxlength="4" class="form-control" name="tahun_terbit" value="{{ old('tahun_terbit') }}" required>
                                @if ($errors->has('tahun_terbit'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('tahun_terbit') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('jumlah_buku') ? ' has-error' : '' }}">
                            <label for="jumlah_buku" class="col-md-4 control-label">Jumlah Buku</label>
                            <div class="col-md-12">
                                <input id="jumlah_buku" type="number" maxlength="4" class="form-control" name="jumlah_buku" value="{{ old('jumlah_buku') }}" required>
                                @if ($errors->has('jumlah_buku'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('jumlah_buku') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('deskripsi') ? ' has-error' : '' }}">
                            <label for="deskripsi" class="col-md-4 control-label">Deskripsi</label>
                            <div class="col-md-12">
                                <input id="deskripsi" type="text" class="form-control" name="deskripsi" value="{{ old('deskripsi') }}" >
                                @if ($errors->has('deskripsi'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('deskripsi') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('lokasi') ? ' has-error' : '' }}">
                            <label for="lokasi" class="col-md-4 control-label">Lokasi</label>
                            <div class="col-md-12">
                            <select class="form-control" name="lokasi" required="">
                                <option value=""></option>
                                <option value="rak_1">Rak 1</option>
                                <option value="rak_2">Rak 2</option>
                                <option value="rak_3">Rak 3</option>
                            </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="email" class="col-md-4 control-label">Cover</label>
                            <div class="col-md-12">
                                <img width="200" height="200" />
                                <input type="file" class="uploads form-control" style="margin-top: 20px;" name="cover">
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary" id="submit">
                                    Submit
                        </button>
                        <button type="reset" class="btn btn-danger">
                                    Reset
                        </button>
                        <a href="{{route('buku.index')}}" class="btn btn-light pull-right">Back</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>

</div>
</form>
=======
Halaman buku
@endsection

@section('content')
<form action="/buku" method="POST" enctype="multipart/form-data">
    @csrf
    <div class="form-group">
        <label>Judul</label>
        <input type="text" name="judul" class="form-control" placeholder="Tulis judul">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>Pengarang</label>
        <input type="text" name="pengarang" class="form-control" placeholder="Tulis nama pengarang">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>Penerbit</label>
        <input type="text" name="penerbit" class="form-control" placeholder="Tulis nama penerbit">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>Tahun terbit</label>
        <input type="number" name="tahun terbit" class="form-control" placeholder="Tuliskan Tahun Terbit">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>Jumlah buku</label>
        <input type="number" name="jumlah buku" class="form-control" placeholder="Tuliskan jumlah buku">
    </div>
    @error('name')
        <div class="alert alert-danger">{{ $message }}</div>
    @enderror
    <div class="form-group">
        <label>Deskripsi</label>
            <textarea name="bio" class="form-control" cols="30" rows="10"></textarea>
    @error('bio')
        <div class="alert alert-danger">{{ $message }}</div>
    @enderror
    <button type="submit" class="btn btn-primary mt-3">Tambah</button>
</form>



>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
@endsection

resources/views/buku/edit.blade.php
@extends('layout.master')
@section('judul')
<<<<<<< HEAD
Data Buku
@endsection

@section('content')
<form action="{{ route('buku.update', $data->id) }}" method="post" enctype="multipart/form-data">
    {{ csrf_field() }}
    {{ method_field('put') }}
<div class="row">
        <div class="col-md-12 d-flex align-items-stretch grid-margin">
          <div class="row flex-grow">
            <div class="col-12">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">Edit Buku <b>{{$data->judul}}</b> </h4>
                  <form class="forms-sample">
                    <div class="form-group{{ $errors->has('judul') ? ' has-error' : '' }}">
                        <label for="judul" class="col-md-4 control-label">Judul</label>
                        <div class="col-md-12">
                            <input id="judul" type="text" class="form-control" name="judul" value="{{ $data->judul }}" required>
                            @if ($errors->has('judul'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('judul') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('npm') ? ' has-error' : '' }}">
                        <label for="isbn" class="col-md-4 control-label">ISBN</label>
                        <div class="col-md-12">
                            <input id="isbn" type="text" class="form-control" name="isbn" value="{{ $data->isbn }}" required>
                            @if ($errors->has('isbn'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('isbn') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('pengarang') ? ' has-error' : '' }}">
                        <label for="pengarang" class="col-md-4 control-label">Pengarang</label>
                        <div class="col-md-12">
                            <input id="pengarang" type="text" class="form-control" name="pengarang" value="{{ $data->pengarang }}" required>
                            @if ($errors->has('pengarang'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('pengarang') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('penerbit') ? ' has-error' : '' }}">
                        <label for="penerbit" class="col-md-4 control-label">Penerbit</label>
                        <div class="col-md-12">
                            <input id="penerbit" type="text" class="form-control" name="penerbit" value="{{ $data->penerbit }}" required>
                            @if ($errors->has('penerbit'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('penerbit') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('tahun_terbit') ? ' has-error' : '' }}">
                        <label for="tahun_terbit" class="col-md-4 control-label">Tahun Terbit</label>
                        <div class="col-md-12">
                            <input id="tahun_terbit" type="number" maxlength="4" class="form-control" name="tahun_terbit" value="{{ $data->tahun_terbit }}" required>
                            @if ($errors->has('tahun_terbit'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('tahun_terbit') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('jumlah_buku') ? ' has-error' : '' }}">
                        <label for="jumlah_buku" class="col-md-4 control-label">Jumlah Buku</label>
                        <div class="col-md-12">
                            <input id="jumlah_buku" type="number" maxlength="4" class="form-control" name="jumlah_buku" value="{{ $data->jumlah_buku }}" required>
                            @if ($errors->has('jumlah_buku'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('jumlah_buku') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group{{ $errors->has('deskripsi') ? ' has-error' : '' }}">
                        <label for="deskripsi" class="col-md-4 control-label">Deskripsi</label>
                        <div class="col-md-12">
                            <input id="deskripsi" type="text" class="form-control" name="deskripsi" value="{{ $data->deskripsi }}" >
                            @if ($errors->has('deskripsi'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('deskripsi') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('lokasi') ? ' has-error' : '' }}">
                        <label for="lokasi" class="col-md-4 control-label">Lokasi</label>
                        <div class="col-md-12">
                        <select class="form-control" name="lokasi" required="">
                            <option value="rak_1" {{$data->lokasi === "rak_1" ? "selected" : ""}}>Rak 1</option>
                            <option value="rak_2" {{$data->lokasi === "rak_2" ? "selected" : ""}}>Rak 2</option>
                            <option value="rak_3" {{$data->lokasi === "rak_3" ? "selected" : ""}}>Rak 3</option>
                        </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="email" class="col-md-4 control-label">Cover</label>
                        <div class="col-md-12">
                            <img width="200" height="200" @if($data->cover) src="{{ asset('images_buku/'.$data->cover) }}" @endif />
                            <input type="file" class="uploads form-control" style="margin-top: 20px;" name="cover">
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary" id="submit">
                                Update
                    </button>
                    <a href="{{route('buku.index')}}" class="btn btn-light pull-right">Back</a>
                </div>
              </div>
            </div>
          </div>
        </div>

</div>
</form>
=======
Halaman buku EDIT
@endsection

@section('content')
<form action="/buku" method="POST" enctype="multipart/form-data">
    @csrf
    <div class="form-group">
        <label>judul</label>
        <input type="text" name="judul" class="form-control" placeholder="Tulis judul">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>pengarang</label>
        <input type="text" name="pengarang" class="form-control" placeholder="Tulis nama pengarang">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>penerbit</label>
        <input type="text" name="penerbit" class="form-control" placeholder="Tulis nama penerbit">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>tahun terbit</label>
        <input type="number" name="tahun_terbit" class="form-control" placeholder="Tuliskan Tahun Terbit">
    </div>
        @error('name')
            <div class="alert alert-danger">{{ $message }}</div>
        @enderror
    <div class="form-group">
        <label>jumlah buku</label>
        <input type="number" name="jumlah_buku" class="form-control" placeholder="Tuliskan jumlah buku">
    </div>
    @error('name')
        <div class="alert alert-danger">{{ $message }}</div>
    @enderror
    <div class="form-group">
        <label>deskripsi</label>
            <textarea name="bio" class="form-control" cols="30" rows="10"></textarea>
    @error('bio')
        <div class="alert alert-danger">{{ $message }}</div>
    @enderror
    <button type="submit" class="btn btn-primary mt-3">Tambah</button>
</form>



>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
@endsection

resources/views/buku/index.blade.php
@extends('layout.master')
@section('judul')
<<<<<<< HEAD
Data Buku
@endsection

@section('content')
<a href="/buku/create" class="btn btn-primary my-2">Tambah</a>

<div class="row">
    @forelse ($datas as $item)
        <div class="col-3">
            <div class="card">
                <img src="{{asset('images_buku/'. $item->cover)}}" class="card-img-top" width="300" height="200" alt="...">
                <div class="card-body">
                <h3>{{$item->judul}}</h3>
                <h5 class="card-title">{{$item->pengarang}}</h5>
                <p class="card-text">{{Str::limit($item->deskripsi, 30)}}</p>
                <form action="buku/{{$item->id}}" method="POST">
                    @csrf
                    @method('DELETE')
                    <a href="/buku/{{$item->id}}" class="btn btn-info btn-sm">Detail</a>
                    <a href="/buku/{{$item->id}}/edit" class="btn btn-warning btn-sm">Edit</a>
                    <input type="submit" value="delete" class="btn btn-danger btn-sm">
                </form>
                </div>
            </div>
        </div>
    @empty
        <h4>Data Buku Belum Ada</h4>
    @endforelse
</div>
=======
Data Anggota
@endsection

@section('content')

<a href="/buku/create" class="btn btn-success mb-3">Tambah Data</a>

<table class="table">
  <thead class="thead-light">
    <tr>
      <th scope="col">judul</th>
	  <th scope="col">pengarang</th>
      <th scope="col">penerbit</th>
	  <th scope="col">tahun_terbit</th>
	  <th scope="col">jumlah_buku</th>
	  <th scope="col">deskripsi</th>
    </tr>
  </thead>
  <tbody>
    @forelse ($buku as $data)
	<tr>
		<td>{{$data->judul}}</td>
		<td>{{$data->pengarang}}</td>
		<td>{{$data->penerbit}}</td>
		<td>{{$data->tahun_terbit}}</td>
		<td>{{$data->jumlah_buku}}</td>
		<td>		
			<form action="/buku/{{$data->id}}" method="post">
				<a href="/buku/{{$data->id}}" class="btn btn-info btn-sm" >Detail</a>
				<a href="/buku/{{$data->id}}/edit" class="btn btn-primary btn-sm" >Edit</a>
				@csrf
				@method('DELETE')
			<input type="submit" class="btn btn-danger btn-sm my-1" value="delete">
			</form>
		</td>
	<tr>
	@empty
	<tr>
		<td>Data buku tidak ditemukan</td>
	</tr>
	
	@endforelse
  </tbody>
</table>

>>>>>>> e8ad3920a03029df99da6e48053866b29f18e01a
@endsection